# Random Class Reference

`#include <random.h>`

List of all members.

## Public Types

enum | SmoothType { SMOOTH_DEFAULT = 0, SMOOTH_LINEAR = 1, SMOOTH_COSINE = 2, SMOOTH_SPLINE = 3, SMOOTH_CUBIC = 4, SMOOTH_FAST_SPLINE = 5 }

## Public Member Functions

void | set_seed (int x)
int | get_seed () const
float | operator() (int salt, int x, int y=0, int t=0) const
float | operator() (SmoothType smooth, int subseed, float x, float y=0, float t=0) const

## Member Enumeration Documentation

enum Random::SmoothType

Enumerator:

  SMOOTH_DEFAULT |
  SMOOTH_LINEAR |
  SMOOTH_COSINE |
  SMOOTH_SPLINE |
  SMOOTH_CUBIC |
  SMOOTH_FAST_SPLINE |

## Member Function Documentation

void Random::set_seed | ( | int | x | ) |

References POOL_SIZE.

Referenced by Plant::Plant(), and Plant::set_param().

int Random::get_seed | ( |  | ) | const`[inline]`

Referenced by Plant::get_param().

float Random::operator() | ( | int | salt,
|  | int | x,
|  | int | y = `0`,
|  | int | t = `0` |
| ) |  |  | const

References f, and POOL_SIZE.

float Random::operator() | ( | SmoothType | smooth,
|  | int | subseed,
|  | float | x,
|  | float | y = `0`,
|  | float | t = `0` |
| ) |  |  | const

References F, f, FT, PI, SMOOTH_COSINE, SMOOTH_CUBIC, SMOOTH_DEFAULT, SMOOTH_FAST_SPLINE, SMOOTH_LINEAR, SMOOTH_SPLINE, X, XT, Z, and ZT.

The documentation for this class was generated from the following files:

- random.h
- random.cpp